Bug 250585 - net/py-wsdd: Update to 0.6.2
Summary: net/py-wsdd: Update to 0.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/christgau/wsdd/blo...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-10-24 21:59 UTC by Yasuhiro KIMURA
Modified: 2020-10-31 07:41 UTC (History)
2 users (show)

See Also:
yasu: maintainer-feedback+


Attachments
Patch file (919 bytes, patch)
2020-10-24 21:59 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2020-10-24 21:59:29 UTC
Created attachment 219043 [details]
Patch file

Update to 0.6.2.

ChangeLog: https://github.com/christgau/wsdd/blob/v0.6.2/CHANGELOG.md
Comment 1 Automation User 2020-10-24 22:06:17 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/207219459
Comment 2 Hiroo Ono 2020-10-25 08:19:24 UTC
Seems OK. Thank you for the patch.
Comment 3 commit-hook freebsd_committer 2020-10-31 07:41:23 UTC
A commit references this bug:

Author: rhurlin
Date: Sat Oct 31 07:41:03 UTC 2020
New revision: 553740
URL: https://svnweb.freebsd.org/changeset/ports/553740

Log:
  net/py-wsdd: Update to 0.6.2

  Changelog[1]:
  - Lowered priority of non-essential, protocol-related and
    internal log messages
  - Do not use PID in Netlink sockets in order to avoid issues
    with duplicated PIDs, e.g., when Docker is used
  - Prevent exceptions due to invalid incoming messages
  - HTTP server address family wrong when interface address is added
  - Error when interface address is removed

  [1] https://github.com/christgau/wsdd/blob/v0.6.2/CHANGELOG.md

  PR:		250585
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27030

Changes:
  head/net/py-wsdd/Makefile
  head/net/py-wsdd/distinfo
Comment 4 Rainer Hurling freebsd_committer 2020-10-31 07:41:54 UTC
Committed, thanks :)